package com.red.circle.order.infra.database.enums;

import java.util.Objects;

/**
 * @author pengliang on 2020/1/6 18:42
 */
public enum OrderEnvironmentEnum {

  /**
   * 测试
   */
  TEST,
  /**
   * 线上
   */
  PROD;


  public static String appleEvn(String evn) {
    return Objects.equals(evn, "Sandbox")
        ? TEST.name() : PROD.name();
  }

  public static String googleEvn(Integer evn) {
    return Objects.equals(evn, 0)
        ? TEST.name() : PROD.name();
  }

  public static String huaweiEvn(Integer evn) {
    return Objects.equals(evn, 0)
        ? TEST.name() : PROD.name();
  }

}
